SDL_PenCapabilityInfo(3type)

NAME
SDL_PenCapabilityInfo - Pen capabilities, as reported by SDL_GetPenCapabilities ()

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_PenCapabilityInfo
{
    float max_tilt;    /**< Physical maximum tilt angle, for XTILT and YTILT, or SDL_PEN_INFO_UNKNOWN .  Pens cannot typically tilt all the way to 90 degrees, so this value is usually less than 90.0. */
    Uint32 wacom_id;   /**< For Wacom devices: wacom tool type ID, otherwise 0 (useful e.g. with libwacom) */
    Sint8 num_buttons; /**< Number of pen buttons (not counting the pen tip), or SDL_PEN_INFO_UNKNOWN */
} SDL_PenCapabilityInfo;

AVAILABILITY
This struct is available since SDL 3.0.0.